Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.mahalo
Class MahaloPermission

    java.lang.Object
      java.security.Permission
          net.jini.security.AccessPermission
              com.sun.jini.mahalo.MahaloPermission

All Implemented Interfaces:
  Guard, Serializable

public class MahaloPermission
extends AccessPermission

Represents permissions that can be used to express the access control policy for the Mahalo server exported with a `BasicJeriExporter`. This class can be passed to `BasicInvocationDispatcher`, and then used in security policy permission grants.

An instance contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't. The convention is that the target name is the non-qualified name of the remote method being invoked. Wildcard matches are supported using the syntax specified by `AccessPermission`.

The possible target names for use with a Mahalo server are specified in the package documentation for `com.sun.jini.mahalo`

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`MahaloPermission(String name)` Creates an instance with the specified target name.

Methods inherited from class net.jini.security.AccessPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MahaloPermission

    public MahaloPermission(String name)

  Creates an instance with the specified target name.

Parameters:
  `name` - the target name
Throws:
  `NullPointerException` - if the target name is `null`
  `IllegalArgumentException` - if the target name does not match the syntax specified in the comments at the beginning of the `AccessPermission` class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved